MooseX::Declare::Context::Parameterized(3)

NAME
MooseX::Declare::Context::Parameterized - context for parsing optionally parameterized statements

DESCRIPTION
This context trait will add optional parameterization functionality to the context.

ATTRIBUTES

  parameter_signature
This will be set when the "strip_parameter_signature" method is called and it was able to extract a list of parameterisations.

METHODS

  has_parameter_signature
Predicate method for the "parameter_signature" attribute.

  add_parameter
Allows storing parameters extracted from "parameter_signature" to be used later on.

  get_parameters
Returns all previously added parameters.

  strip_parameter_signature
  Maybe[Str] Object->strip_parameter_signature()

This method is intended to parse the main namespace of a namespaced keyword. It will use Devel::Declare::Context::Simples "strip_word" method and store the result in the "namespace" attribute if true.

SEE ALSO

•   MooseX::Declare

•   MooseX::Declare::Context

AUTHORS

•   Florian Ragwitz <rafl@debian.org>

•   Ash Berlin <ash@cpan.org>

•   Chas. J. Owens IV <chas.owens@gmail.com>

•   Chris Prather <chris@prather.org>

•   Dave Rolsky <autarch@urth.org>

•   Devin Austin <dhoss@cpan.org>

•   Hans Dieter Pearcey <hdp@cpan.org>

•   Justin Hunter <justin.d.hunter@gmail.com>

•   Matt Kraai <kraai@ftbfs.org>

•   Michele Beltrame <arthas@cpan.org>

•   Nelo Onyiah <nelo.onyiah@gmail.com>

•   nperez <nperez@cpan.org>

•   Piers Cawley <pdcawley@bofh.org.uk>

•   Rafael Kitover <rkitover@io.com>

•   Robert 'phaylon' Sedlacek <rs@474.at>

•   Stevan Little <stevan.little@iinteractive.com>

•   Tomas Doran <bobtfish@bobtfish.net>

•   Yanick Champoux <yanick@babyl.dyndns.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2011 by Florian Ragwitz.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.